Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.migration
Class AttributeList

`java.lang.Object
oracle.jbo.uicli.migration.AttributeList`

public class AttributeList
extends java.lang.Object

oracle.jbo.uicli.migration.AttributeList

This class is for save the fields of table,

Constructor Summary
`AttributeList()` Creates an empty attribute list.
`AttributeList(int size)` Constructs a new attribute list with a specified initial capacity.

Method Summary
`void` | `addAttribute(java.lang.String name, java.lang.Object value)` add a new the value for the named attribute.
`java.lang.Object` | `getAttribute(int index)` Gets the value of an attribute identified by its index.
`java.lang.Object` | `getAttribute(java.lang.String name)` Gets the value of an attribute identified by name.
`int` | `getAttributeCount()` Counts the attributes.
`int` | `getAttributeIndexOf(java.lang.String name)` Gets the index of a named attribute.
`java.lang.String` | `getName(int index)` Gets the name of an attribute identified by its index.
`java.lang.String[]` | `getNameArray()` Gets the names of the attributes.
`java.lang.Object[]` | `getObjectArray()` Gets the values of the attributes.
`java.lang.String` | `getStringAttribute(int index)` Gets the string value of an attribute identified by its index.
`java.lang.String` | `getStringAttribute(java.lang.String name)` Gets the string value of an attribute identified by name.
`boolean` | `removeAttribute(int index)` Remove the index of a named attribute.
`boolean` | `removeAttribute(java.lang.Object rObject)`
`void` | `setAttribute(int index, java.lang.Object value)` Sets the value for the specified attribute.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets the value for the named attribute.
`boolean` | `setName(int index, java.lang.String name)` Gets the name of an attribute identified by its index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeList

    public AttributeList()

  Creates an empty attribute list.

### AttributeList

    public AttributeList(int size)

  Constructs a new attribute list with a specified initial capacity.
Parameters:
  `size` - the initial cacpacity.

Method Detail

### getNameArray

    public java.lang.String[] getNameArray()

  Gets the names of the attributes.
  Returns:
    an array with the values of the names.

### getObjectArray

    public java.lang.Object[] getObjectArray()

  Gets the values of the attributes.
  Returns:
    an array with the values of the names.

### getName

    public java.lang.String getName(int index)

  Gets the name of an attribute identified by its index.
  Parameters:
    `index` - the attribute's index.
  Returns:
    the value of the name, or `null` if `index` is out of range.

### setName

    public boolean setName(int index,
                           java.lang.String name)

  Gets the name of an attribute identified by its index.
  Parameters:
    `index` - the attribute's index.
    `name` - the attribute's name.
  Returns:
    true, or `false` if `index` is out of range.

### getAttribute

    public java.lang.Object getAttribute(int index)

  Gets the value of an attribute identified by its index.
  Parameters:
    `index` - the attribute's index.
  Returns:
    the value of the attribute, or `null` if `index` is out of range.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Gets the value of an attribute identified by name.
  Parameters:
    `name` - the attribute's name.
  Returns:
    the value of the attribute, or `null` if `index` is out of range.

### getStringAttribute

    public java.lang.String getStringAttribute(int index)

  Gets the string value of an attribute identified by its index.
  Parameters:
    `index` - the attribute's index.
  Returns:
    the string value of the attribute, or `null` if `index` is out of range.

### getStringAttribute

    public java.lang.String getStringAttribute(java.lang.String name)

  Gets the string value of an attribute identified by name.
  Parameters:
    `name` - the attribute's name.
  Returns:
    the string value of the attribute, or `null` if `index` is out of range.

### setAttribute

    public void setAttribute(int index,
                             java.lang.Object value)

  Sets the value for the specified attribute.
  Parameters:
    `index` - the attribute index.
    `value` - the attribute's new value.

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.lang.Object value)

  add a new the value for the named attribute.
  Parameters:
    `name` - the attribute name.
    `value` - the attribute's new value.

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Sets the value for the named attribute.
  Parameters:
    `name` - the attribute name.
    `value` - the attribute's new value.

### getAttributeCount

    public int getAttributeCount()

  Counts the attributes.
  Returns:
    the number of attributes.

### getAttributeIndexOf

    public int getAttributeIndexOf(java.lang.String name)

  Gets the index of a named attribute.
  Returns:
    the attribute's index, or `-1` if not found.

### removeAttribute

    public boolean removeAttribute(int index)

  Remove the index of a named attribute.
  Returns:
    true, sucessfully.

### removeAttribute

    public boolean removeAttribute(java.lang.Object rObject)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.